// Tokenizer.h : Declaration of the CTokenizer

#ifndef __TOKENIZER_H_
#define __TOKENIZER_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CTokenizer
class ATL_NO_VTABLE CTokenizer : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CTokenizer, &CLSID_Tokenizer>,
	public ISupportErrorInfo,
	public ITokenizer
{
public:
	CTokenizer()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_TOKENIZER)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CTokenizer)
	COM_INTERFACE_ENTRY(ITokenizer)
	COM_INTERFACE_ENTRY(ISupportErrorInfo)
END_COM_MAP()

// ISupportsErrorInfo
	STDMETHOD(InterfaceSupportsErrorInfo)(REFIID riid);

// ITokenizer
public:
	STDMETHOD(Tokenize)(/*[in]*/ LPCSTR sin, /*[out]*/ LPSTRVect* sout);
};

#endif //__TOKENIZER_H_
